﻿@using ARGNS.WebSite.Resources.Views.Opportunities

<div class="table-responsive responsive table_cart" id="TableListDocument">
    <table id="assets-data-table-ListDocument" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListDocument;
        $(function () {
            assetListVM_ListDocument = {
                dt: null,
                init: function () {
                    dt = $('#assets-data-table-ListDocument').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "ajax": {
                            "url": "/Sales/Opportunities/GetListDocuments",
                            "type": 'POST',
                            "data": function (data) {
                                var mLine = $("#ActualLine").val();
                                var mDocType = $('#ObjTypeLine' + mLine).val();
                                var dateTxtDate = $("#txtSearchDoc").datepicker("getDate");
                                data.pDocumentType = mDocType;
                                data.pDate = (isNaN(dateTxtDate) == true ? null : ((dateTxtDate.getMonth() + 1) + "/" + dateTxtDate.getDate() + "/" + dateTxtDate.getFullYear()));
                                data.pCardCode = $("#CardCode").val();
                                data.pBPDocCheckBox = $("#BPDocCB" + mLine).prop('checked');
                                data.pClearTable = clearTable;
                            }
                        },
                        "columns": [
                            { "title": "#", "data": "DocNum", "name": "DocNum" },
                            { "title": "@PurchaseOrders.DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                            { "title": "@Opportunities.BP", "data": "CardCode", "name": "CardCode" },
                            {
                                "title": "", "data": null, "orderable": false, "name": "",
                                "render": function (data, type, full, meta) {
                                    return "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetDocument('" + data.DocNum + "');\"><span class=\"glyphicon glyphicon-arrow-right\"></span>&nbsp;@PurchaseOrders.Select</a>";
                                }
                            }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                        language: {
                            processing: "@DataTables.Processing",
                            lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                            info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                            paginate: {
                                previous: "@DataTables.Previous",
                                next: "@DataTables.Next"
                            }
                        },
                    });
                },
                refresh: function () {
                    dt.ajax.reload();
                }
            }
            assetListVM_ListDocument.init();
        });
</script>
</div>

